Patch Customer

PATCHhttps://bank.dattaremit.com/api/customers/{customer_guid}

Requires a bank-scoped key.

Update a customer.

Required scope: customers:write

Path Params

customer_guidstringrequired

Identifier for the customer.

Body Params

required
stateunverified

The customer's state.

Responses

200

customer found

400

Bad Request

401

Unauthorized

403

Forbidden

Request

curl https://api.dattaremit.com/api/customers/{customer_guid} \
  -X PATCH \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "state": "unverified"
}'

Response

customer found

{
  "guid": "string",
  "bank_guid": "string",
  "type": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "state": "string",
  "name": {
    "first": "string",
    "middle": "string",
    "last": "string",
    "full": "string"
  },
  "address": {
    "street": "string",
    "street2": "string",
    "city": "string",
    "subdivision": "string",
    "postal_code": "string",
    "country_code": "string"
  },
  "aliases": [
    {
      "first": "string",
      "middle": "string",
      "last": "string",
      "full": "string"
    }
  ],
  "website": "string",
  "date_of_birth": "1990-04-12",
  "phone_number": "string",
  "email_address": "string",
  "labels": [
    "string"
  ],
  "compliance_decisions": [
    {
      "type": "string",
      "state": "string",
      "failure_codes": [
        "string"
      ],
      "expired_at": "2026-07-20T16:27:51.438Z"
    }
  ],
  "identification_numbers": [
    {
      "type": "string",
      "issuing_country_code": "string",
      "identification_number": "string",
      "issuing_subdivision": "string"
    }
  ],
  "activity_limits": [
    {
      "type": "string",
      "name": "string",
      "asset": "string",
      "amount": 1,
      "interval": 1,
      "activities": [
        "string"
      ],
      "sides": [
        "string"
      ]
    }
  ]
}